Can't locate object method new


#1

Hi, I have one problem

I have the version 1.34 RT.
And Im using a Linux RedHat Kernel 2.2.16
And Perl 5 subversion 3
Apache 1.3.12
my rt is installed in: /opt/rt/

im acess the script in browser and in the error_log im view the problem:

Can’t locate object method “new” via package “Digest::MD5” at
/opt/rt/lib/rt/ui/web/auth.pm line 36, chunk 64.
[Thu Sep 21 23:42:12 2000] [error] [client 200.183.51.84] Premature end of
script headers: /home/villenet/cgi-bin/webrt.cgi

Im installing the Digest:MD5 version 1.5, what repend? please help-me

Thanks
Marcio

marcio@marcio.com.br
marcio@villenet.com.br


#2

Hi,

I dont know version 1.34.
i think the latest devel-version is rt-1-3-18…

Did you run the “perl bin/testdeps.pl -warn” script?

robertOn Fri, 22 Sep 2000, Marcio V. T. wrote:

Hi, I have one problem

I have the version 1.34 RT.
And Im using a Linux RedHat Kernel 2.2.16
And Perl 5 subversion 3
Apache 1.3.12
my rt is installed in: /opt/rt/

im acess the script in browser and in the error_log im view the problem:

Can’t locate object method “new” via package “Digest::MD5” at
/opt/rt/lib/rt/ui/web/auth.pm line 36, chunk 64.
[Thu Sep 21 23:42:12 2000] [error] [client 200.183.51.84] Premature end of
script headers: /home/villenet/cgi-bin/webrt.cgi

Im installing the Digest:MD5 version 1.5, what repend? please help-me

Thanks
Marcio

marcio@marcio.com.br
marcio@villenet.com.br

di. robert rotman inode.graz
phone -> ++43-(0)316 813141 ++43-(0)316 818600/15 <- fax
rotman@inode.at http://www.graz.inode.at/
this letter was written on recycled bytes used by deleted mail.


#3

Hello, RT users!

While installing RT, I ran into a problem that was in the archives, but
with no solution. Since I have just figured out what the problem was,
I thought I’d quote a three-week-old message and tell how I fixed it.
It’s not often one gets to offer a solution in one’s first posting to a
mailing list.

Hi, I have one problem

I have the version 1.34 RT.
And Im using a Linux RedHat Kernel 2.2.16
And Perl 5 subversion 3
Apache 1.3.12
my rt is installed in: /opt/rt/

im acess the script in browser and in the error_log im view the problem:

Can’t locate object method “new” via package “Digest::MD5” at
/opt/rt/lib/rt/ui/web/auth.pm line 36, chunk 64.
[Thu Sep 21 23:42:12 2000] [error] [client 200.183.51.84] Premature =
end of
script headers: /home/villenet/cgi-bin/webrt.cgi

Im installing the Digest:MD5 version 1.5, what repend? please help-me

Thanks
Marcio

I had exactly the same problem turn up in my error_log. It turned out
that I had not installed the perl module Digest-MD5; instead I had
installed Digest-Perl-MD5.

Once I uninstalled Digest-Perl-MD5 and installed Digest-MD5, it started
to work.

Marcio, this might be too late to help, but maybe someone else will read
it some day.

Jill Lundquist jill@chezns.org
O, wonder! How many goodly creatures are there here!
How beauteous mankind is! O brave new world, that has such people in’t!